Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
peripheral::DeviceSlot_2_0_3::Settings Struct Reference

user configurable slot attributes More...

`import"PeripheralDeviceSlot.idl";`

## Public Attributes
string | name
| User-defined name.
string | description
| User-defined description.
Location | location
| user-defined device location
boolean | useDefaultThresholds
| use default thresholds
map< string, string > | properties
| sensor specific settings

## Detailed Description

user configurable slot attributes

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/PeripheralDeviceSlot.idl